#include <stdio.h>
#include<string.h>
int main ()
{
    char  a[20],b[20],c[20],b1[20],b2[20],b3[20];
    scanf ("%s %s %s",&a,&b,&c);
    if(strcmp(a,b)>=0 && strcmp(a,c)>=0)
    	strcpy(b1,a);
    else
    	if(strcmp(a,b)<=0 && strcmp(a,c)<0)
    		strcpy(b3,a);
    		else
    			strcpy(b2,a);	
    if(strcmp(b,c)>0 && strcmp(b,a)>0)
    	strcpy(b1,b);
    else
    	if(strcmp(b,c)<0 && strcmp(b,a)<0)
    		strcpy(b3,b);
    		else
    			strcpy(b2,b);	
    if(strcmp(c,a)>0 && strcmp(c,b)>0)
    	strcpy(b1,c);
    else
    	if(strcmp(c,a)<=0 && strcmp(c,b)<=0)
    		strcpy(b3,c);
    		else
    			strcpy(b2,c);
    printf("%s%s%s",b1,b2,b3);
}